Bug 1101093 - production.log should have timestamps in it
Summary: production.log should have timestamps in it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Infrastructure
Version: Nightly
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-05-26 06:43 UTC by Jan Hutař
Modified: 2019-08-15 03:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:08:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (454 bytes, patch)
2015-02-24 15:01 UTC, Johan Swensson
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Jan Hutař 2014-05-26 06:43:44 UTC
Description of problem:
production.log should have timestamps in it for easier investigation of issues


Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140521.0


How reproducible:
always


Steps to Reproduce:
1. Check /var/log/foreman/production.log


Actual results:
Records in the log do not have timestamps in it


Expected results:
Records in the log should have timestamps in it


Additional info:
Bug 790966 was similar but for /var/log/katello/production.log

Comment 1 RHEL Program Management 2014-05-26 06:53:36 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2014-06-03 18:55:24 UTC
Created redmine issue http://projects.theforeman.org/issues/6044 from this bug

Comment 5 Pavel Moravec 2014-11-29 10:48:14 UTC
Same request applies to /run/foreman/pids/dynflow_executor.output that lacks timestamps. Let me know if I should file a new BZ for that.

Comment 6 Johan Swensson 2015-02-24 15:01:15 UTC
Created attachment 994739 [details]
Proposed patch

Possible patch for: /usr/share/foreman/config/environment.rb

Comment 7 Pavel Moravec 2015-02-24 15:16:57 UTC
(In reply to Johan Swensson from comment #6)
> Created attachment 994739 [details]
> Proposed patch
> 
> Possible patch for: /usr/share/foreman/config/environment.rb

Smoke-tested it on my Sat6: I like it:) Added log severity is cool - it should be there as well though the BZ does not request it.

Example of logs:

2015-02-24 16:15:51 +0100 (INFO) Processing by Katello::Api::V2::ContentViewsController#index as JSON
2015-02-24 16:15:51 +0100 (INFO)   Parameters: {"nondefault"=>"true", "organization_id"=>"1", "page"=>"1", "search"=>"", "sort_by"=>"name", "sort_order"=>"ASC", "api_version"=>"v2"}
2015-02-24 16:15:51 +0100 (INFO) Just before yield
2015-02-24 16:15:51 +0100 (DEBUG)   User Load (0.8ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [["id", 3]]
2015-02-24 16:15:51 +0100 (DEBUG) Setting current user thread-local variable to Admin User
2015-02-24 16:15:51 +0100 (DEBUG) Setting locale: en
2015-02-24 16:15:51 +0100 (DEBUG)   Organization Load (0.7ms)  SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."type" IN ('Organization') AND "taxonomies"."id" = 1 ORDER BY title LIMIT 1
2015-02-24 16:15:51 +0100 (DEBUG)    (0.4ms)  SELECT katello_content_views.id FROM "katello_content_views" WHERE "katello_content_views"."organization_id" = 1

Comment 8 Johan Swensson 2015-02-24 15:48:50 UTC
(In reply to Pavel Moravec from comment #7)
> (In reply to Johan Swensson from comment #6)
> > Created attachment 994739 [details]
> > Proposed patch
> > 
> > Possible patch for: /usr/share/foreman/config/environment.rb
> 
> Smoke-tested it on my Sat6: I like it:) Added log severity is cool - it
> should be there as well though the BZ does not request it.

Agreed, having the severity there helps a lot when troubleshooting a issue.

Comment 9 Bryan Kearney 2015-03-02 11:01:46 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6044 has been closed
-------------
Anonymous
Applied in changeset commit:70a602462261f6e9404c408e296618997c1e7ba5.

Comment 12 Tazim Kolhar 2015-03-04 07:37:40 UTC
VERIFIED :
# rpm -q foreman
foreman-1.7.2.8-1.el6_6sat.noarch


# tail -f /var/log/foreman/production.log
2015-03-04 02:36:20 [I] Processing by OperatingsystemsController#index as HTML
2015-03-04 02:36:20 [I]   Parameters: {"utf8"=>"✓", "search"=>"name = \"﷐[U+26BEF]﷑\""}
2015-03-04 02:36:20 [I]   Rendered operatingsystems/index.html.erb within layouts/application (4.5ms)
2015-03-04 02:36:20 [I]   Rendered common/_searchbar.html.erb (3.1ms)
2015-03-04 02:36:20 [I]   Rendered home/_submenu.html.erb (2.8ms)
2015-03-04 02:36:20 [I]   Rendered home/_user_dropdown.html.erb (1.5ms)
2015-03-04 02:36:20 [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2015-03-04 02:36:20 [I]   Rendered home/_topbar.html.erb (5.9ms)
2015-03-04 02:36:20 [I]   Rendered layouts/base.html.erb (7.3ms)
2015-03-04 02:36:20 [I] Completed 200 OK in 31ms (Views: 16.5ms | ActiveRecord: 2.5ms)

2015-03-04 02:36:35 [I] Processing by DashboardController#index as HTML
2015-03-04 02:36:35 [I] Redirected to https://qe-sat6-rhel66.usersys.redhat.com/users/login
2015-03-04 02:36:35 [I] Filter chain halted as :require_login rendered or redirected
2015-03-04 02:36:35 [I] Completed 302 Found in 3ms (ActiveRecord: 0.0ms)
2015-03-04 02:36:35 [I] Processing by UsersController#login as HTML
2015-03-04 02:36:35 [I]   Rendered users/login.html.erb within layouts/login (4.8ms)
2015-03-04 02:36:35 [I]   Rendered layouts/base.html.erb (1.9ms)
2015-03-04 02:36:35 [I] Completed 200 OK in 11ms (Views: 9.0ms | ActiveRecord: 0.0ms)
2015-03-04 02:36:36 [I] Processing by Api::V2::OperatingsystemsController#create as JSON
2015-03-04 02:36:36 [I]   Parameters: {"operatingsystem"=>{"major"=>"55", "name"=>"﷐[U+21F94]﷑﷐[U+2A7EB]﷑놶﷐[U+26CBE]﷑﷐[U+2946E]﷑﷐[U+2B5E3]﷑ꤾꊨ묒뿾묂ꝏ쎜﷐[U+28E75]﷑"}, "apiv"=>"v2"}
2015-03-04 02:36:36 [I] Authorized user admin(Admin User)
2015-03-04 02:36:36 [I]   Rendered api/v2/operatingsystems/create.json.rabl (14.8ms)
2015-03-04 02:36:36 [I] Completed 200 OK in 62ms (Views: 14.1ms | ActiveRecord: 9.5ms)
2015-03-04 02:36:37 [I] Processing by UsersController#login as HTML
2015-03-04 02:36:37 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"z42jBmCzoeM9Pw4xdfmWW7ki3wwUUXFhJ4FmN2XRAIA=", "login"=>{"login"=>"admin", "password"=>"[FILTERED]"}, "commit"=>"Login"}
2015-03-04 02:36:37 [I] Expire fragment views/tabs_and_title_records-3 (0.7ms)
2015-03-04 02:36:37 [I] Expire fragment views/tabs_and_title_records-3 (0.2ms)
2015-03-04 02:36:37 [I] Redirected to https://qe-sat6-rhel66.usersys.redhat.com/
2015-03-04 02:36:37 [I] Completed 302 Found in 36ms (ActiveRecord: 5.2ms)
2015-03-04 02:36:37 [I] Processing by DashboardController#index as HTML
2015-03-04 02:36:37 [I]   Rendered dashboard/welcome.html.erb within layouts/application (8.2ms)
2015-03-04 02:36:37 [I]   Rendered home/_submenu.html.erb (3.0ms)
2015-03-04 02:36:37 [I]   Rendered home/_user_dropdown.html.erb (1.6ms)
2015-03-04 02:36:37 [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2015-03-04 02:36:37 [I]   Rendered home/_organization_dropdown.html.erb (123.0ms)
2015-03-04 02:36:38 [I]   Rendered home/_location_dropdown.html.erb (15.1ms)
2015-03-04 02:36:38 [I]   Rendered home/_org_switcher.html.erb (138.8ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (4.1ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (4.2ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (2.0ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (4.2ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (3.4ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (3.0ms)
2015-03-04 02:36:38 [I]   Rendered home/_submenu.html.erb (4.2ms)
2015-03-04 02:36:38 [I] Write fragment views/tabs_and_title_records-3 (1.7ms)
2015-03-04 02:36:38 [I]   Rendered home/_topbar.html.erb (176.5ms)
2015-03-04 02:36:38 [I]   Rendered layouts/base.html.erb (178.8ms)
2015-03-04 02:36:38 [I] Filter chain halted as :welcome rendered or redirected
2015-03-04 02:36:38 [I] Completed 200 OK in 405ms (Views: 378.2ms | ActiveRecord: 9.1ms)
2015-03-04 02:36:39 [I] Processing by OperatingsystemsController#index as HTML
2015-03-04 02:36:39 [I]   Rendered operatingsystems/index.html.erb within layouts/application (46.8ms)
2015-03-04 02:36:39 [I]   Rendered common/_searchbar.html.erb (4.7ms)
2015-03-04 02:36:39 [I]   Rendered home/_submenu.html.erb (3.2ms)
2015-03-04 02:36:39 [I]   Rendered home/_user_dropdown.html.erb (5.5ms)
2015-03-04 02:36:39 [I] Read fragment views/tabs_and_title_records-3 (0.8ms)
2015-03-04 02:36:39 [I]   Rendered home/_topbar.html.erb (11.8ms)
2015-03-04 02:36:39 [I]   Rendered layouts/base.html.erb (14.0ms)
2015-03-04 02:36:39 [I] Completed 200 OK in 311ms (Views: 284.0ms | ActiveRecord: 5.5ms)

Comment 13 Bryan Kearney 2015-08-11 13:35:59 UTC
This bug is slated to be released with Satellite 6.1.

Comment 14 errata-xmlrpc 2015-08-12 05:08:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.